local world_path = minetest.get_worldpath()
local settings = Settings(world_path.."/assets_warehouse.conf")


model_detail = settings:get("assets_warehouse_model_quality") or 2
texture_detail = settings:get("assets_warehouse_texture_quality") or 2
local idioma = settings:get("assets_warehouse_idioma") or "espanol"


local part1 = "textarea[0.1,10;90,10;;;This objects are based in those from Peppe and Carrot comic from David Revoy]"
local part2 = "textarea[0.1,20;40,40;;;Some of the furnitures and items of the Peppert bedroom]"
local part3 = "textarea[0.1,100;40,40;;;The crystall ball are a important part in the world of Hereva they are like computers whit a linux os(ubuntu),in case of a bug just call a spyder]"
local part4 = "textarea[0.1,150;40,40;;;In the world of Hereva the brooms are used mostly as transport by the witch,for this needs Rea or a potion of flight for this,in occasions the petz of the witch are able to use them]"
local part5 = "textarea[0.1,200;40,40;;;Don't confuse them whit real magic potions this are just like a shampo  ]"
local part6 = "textarea[0.1,250;40,40;;;Ribborn of the winner of the potion contest]"
local part7 = "textarea[0.1,300;40,40;;;Book for invoke demons ]"
local part8 = "textarea[0.1,350;40,40;;;The security system of Peppert represents the forest,the mountaint,the forest,the clouds and each have a guardian  ]"
local part9 = "textarea[0.1,400;40,40;;;This is a poisson mushroom or maybe a fake made for witchs petz]"
local part10 = "textarea[0.1,450;40,40;;;Give to Carrot by the sea creatures,this crown maybe made a specie of Aquacat]"
local part11 = "textarea[0.1,500;40,40;;;Symbol of th king Acrem]"
local part12 = "textarea[0.1,550;40,40;;;One of docens of dragons toots obtained by Peppert when she works as a dentist]"
local part13 = "textarea[0.1,600;90,40;;;Added two new weapons the staff and the sword]"
local part14 = "textarea[0.1,670;90,40;;;The water tree is a magical tree whit the power to create water,for this the nodes who surround the tree must be air and above to,the tree brights]"
local part15 = "textarea[0.1,770;90,20;;;Added new mobs based in the creatures of episode 26 of Peppert and Carrot,named Light Spider and Head Huger(not oficial names so maybe change in the future)]"
local part16 = "textarea[0.1,810;90,40;;;Added varius clothes]"
local part17 = "textarea[0.1,840;90,40;;;Water tree guardian stuff,maybe you feel powerlfull but a feather is more stronger]"

if idioma == "espanol" then
    part1 = "textarea[0.1,10;90,10;;;Estos objetos estan basados en esos que aparecen en el comic Peppert y Carrot de David Revoy]"
    part2 = "textarea[0.1,20;40,40;;;Algunos muebles y objetos de el dormitorio de Peppert]"
    part3 = "textarea[0.1,100;40,40;;;Las bolas de cristal son parte importante de el mundo de Hereva son como un Linux os(ubuntu),en caso de un bug solo llame a una araña]"
    part4 = "textarea[0.1,150;40,40;;;En el mundo de Hereva las escobas son usadas como un medio de transporte por las brujas,para esto nececitan Rea o una pocion de vuelo,en ocaciones las mascotas de las brujas son capaces de usarlas]"
    part5 = "textarea[0.1,200;40,40;;;No deben confundirse con pociones reales son mas como shampu]"
    part6 = "textarea[0.1,250;40,40;;;Lazo del ganador del concurso de pociones]"
    part7 = "textarea[0.1,300;40,40;;;Libro para invocar demonios ]"
    part8 = "textarea[0.1,350;40,40;;;Parte del sistema de seguridad de Peppert,representan el bosque,las montañas y las nubes y cada una tiene un guardian]"
    part9 = "textarea[0.1,400;40,40;;;Este es un hongo envenenado o tal vez una falsificacion hecha por mascotas de brujas]"
    part10 = "textarea[0.1,450;40,40;;;Dada a Carrot por las criaturas del mar,esto lo convierte en una especie de Aguagato]"
    part11 = "textarea[0.1,500;40,40;;;Simbolo del rey Acren]"
    part12 = "textarea[0.1,550;40,40;;;Uno de docenas de dientes obtenidos por Peppert cuando trabajaba de dentista]"
    part13 = "textarea[0.1,600;90,40;;;Añadidas dos armas nuevas,el baston y la espada]"
    part14 = "textarea[0.1,670;90,40;;;El arbol de agua es un arbol magico con el poder de crear agua,para esto los nodos que rodean al arbol deben estar vacios y tener aire arriba,el arbol brilla]"
    part15 = "textarea[0.1,770;90,20;;;Añadidos nuevos mobs basados en las criaturas del episodio 26 de Peppert y Carrot,llamadas Light Spider y Head Hugher(no son nombres oficiales asi que podrian cambiar en el futuro)]"
    part16 = "textarea[0.1,810;90,40;;;Añadidas varias ropas]"
    part17 = "textarea[0.1,840;90,40;;;Cosas del guardian del arbol de agua,tal vez te sientas poderoso pero una pluma es mas fuerte]"

end

local formspec_peppert_and_carrot = {
    "formspec_version[4]",
    "size[100,100]",
    "anchor[0.5,0.5]",
    "padding[0.0,0.0]",
    "scrollbaroptions[min=0,max=200,smallstep=10,largestep=20,thumbsize=10,arrows=default]",
    "scrollbar[95,0;5,200;vertical;'testscroll';]",
    "scroll_container[1.10,0.0;90,100;'testscroll';vertical;0.8]",
    part1,
    part2,
    "model[35,30;70,65;'peppert_and_and_carrot_floordeco';peppert_and_and_carrot_floordeco.obj;peppert_and_and_carrot_floordecoTQ2.png;]",
    "model[40,30;25,15;'peppert_bedrom_chest';peppert_bedrom_chestMD2.obj;peppert_bedrom_chestTQ2.png;]",
    "model[65,30;15,15;'peppert_and_carrot_little_chair';peppert_and_carrot_little_chairMD2.obj;peppert_and_carrot_little_chairTQ2.png;]",
    "model[15,45;60,45;'peppert_and_carrot_mirror';peppert_and_carrot_mirrorMD2.obj;peppert_and_carrot_mirrorTQ2.png;]",
    "model[60,55;30,30;'peppert_and_carrot_wardrobe';peppert_and_carrot_wardrobe.obj;peppert_and_carrot_wardrobeTQ2.png;]",
    
    part3,
    "model[40,100;100,50;'peppert_and_carrot_cristall_catalog';peppert_and_carrot_cristall_catalog.obj;peppert_and_carrot_cristall_ball.png;]",
    
    part4,
    "model[40,150;55,40;'peppert_and_carrot_broom';peppert_and_carrot_broomMD2.obj;peppert_and_carrot_broom.png;]",
    
    part5,
    "model[40,200;25,20;'peppert_and_carrot_potion';peppert_and_carrot_potion_catalog.obj;peppert_and_carrot_potion_fire_dance.png;]",
    "model[60,200;25,20;'peppert_and_carrot_potion2';peppert_and_carrot_potion_catalog.obj;peppert_and_carrot_potion_deep_ocean.png;]",
    "model[40,220;25,20;'peppert_and_carrot_potion3';peppert_and_carrot_potion_catalog.obj;peppert_and_carrot_potion_nature.png;]",
    "model[60,220;25,20;'peppert_and_carrot_potion4';peppert_and_carrot_potion_catalog.obj;peppert_and_carrot_potion_violent.png;]",
    
    part6,
    "model[40,240;60,40;'peppert_and_carrot_winner_ribborn';peppert_and_carrot_winner_ribbornMD2.obj;peppert_and_carrot_winner_ribborn.png;]",
    
    part7,
    "model[40,300;40,40;'peppert_and_and_carrot_book_Incantation_for_demonds_of_chaosa_vol1';book_catalog.obj;peppert_and_and_carrot_book_Incantation_for_demonds_of_chaosa_vol1.png;]",
    
    part8,
    "model[40,350;25,15;'peppert_and_carrot_mountaint_signal';peppert_and_carrot_mountaint_signal_catalog.obj;peppert_and_carrot_mountaint_signal.png;]",
    "model[50,350;25,15;'peppert_and_carrot_mountaint_forest';peppert_and_carrot_forest_signal_catalog.obj;peppert_and_carrot_forest_signal.png;]",
    "model[70,350;25,15;'peppert_and_carrot_clouds_signal';peppert_and_carrot_clouds_signal_catalog.obj;peppert_and_carrot_clouds_signal.png;]",
    
    part9,
    "model[40,400;50,50;'peppert_and_carrot_mushroom';peppert_and_carrot_mushroom_catalog.obj;peppert_and_carrot_mushroom.png;]",
    
    part10,
    "model[40,450;50,50;'peppert_and_carrot_coral_crown';peppert_and_carrot_coral_crown_catalog.obj;peppert_and_carrot_coral_crown.png;]",
    
    part11,
    "model[40,500;100,50;'peppert_and_carrot_acren_symbol';peppert_and_carrot_acren_symbol.obj;peppert_and_carrot_acren_symbol.png;]",
    
    part12,
    "model[40,550;50,25;'peppert_and_carrot_dragon_teeth';peppert_and_carrot_dragon_teeth.obj;peppert_and_carrot_dragon_teeth.png;]",
    

    part13,
    "model[0,620;50,50;'peppert_and_carrot_staff';peppert_and_carrot_staffMD3.obj;peppert_and_carrot_staff.png;]",
    "model[40,620;50,50;'peppert_and_carrot_sword';peppert_and_carrot_sword1MD3.obj;peppert_and_carrot_sword1.png;]",
    
    part14,
    "model[0,680;90,90;'peppert_and_carrot_water_tree';peppert_and_carrot_watertreeMD3.obj;peppert_and_carrot_watertree.png;]",
    
    part15,
    "image[0,770;40,40;peppert_and_carrot_light_spider_catalog.png]",
    "image[40,770;40,40;peppert_and_carrot_head_huger_catalog.png]",
    
    
    part16,
    "image[0,820;20,20;water_tree_guardian_gloves_preview.png]",
    "image[20,820;20,20;witch_hat_preview.png]",
    
    part17,
    "model[0,860;50,50;'peppert_and_and_carrot_water_tree_guardian_hammer';peppert_and_and_carrot_water_tree_guardian_hammerMD2.obj;peppert_and_and_carrot_water_tree_guardian_hammer.png;]",
    "model[40,860;50,50;'peppert_and_and_carrot_water_tree_guardian_armor';peppert_and_and_carrot_water_tree_guardian_armorMD2.b3d;peppert_and_and_carrot_water_tree_guardian_armor.png;]",
    
    
    "scroll_container_end[]",   
}

formspec_peppert_and_carrot =  table.concat(formspec_peppert_and_carrot, "")


minetest.register_tool("assets_warehouse:peppert_and_carrot_catalog", {
    description = "peppert_and_carrot_catalog",
    textures = {"hereva.png"},
    inventory_image = "hereva.png",
    wield_image = "hereva.png",
    groups = {cracky = 1},
    on_use = function(itemstack, player, pointed_thing)
        local playerpos = player:get_pos()
        local playername = player:get_player_name()
        local pos = player:get_pos()
        local dir = player:get_look_dir()
        local yaw = player:get_look_horizontal()
        local power = 50
        if pointed_thing.type == "node" then
            minetest.show_formspec(playername, "assets_warehouse:",formspec_peppert_and_carrot) 
        else 
            minetest.show_formspec(playername, "assets_warehouse:testformspec",formspec_peppert_and_carrot)    
        end
    end,
    on_receive_fields = function(pos, formname, fields, player)
        if fields.quit then
            return
        end

        print(fields.x)
    end
})

